Subject: bug#24778: 25.1; cl-assert always calls the default debugger on assertion failures

From: [email-masked]
Date: Fri, 04 Nov 2016 21:58:18 -0400

tags 24778 fixed
close 24778 25.2
quit

>>
>> Removing the lines
>>
>>     (if debug-on-error
>>        (apply debugger `(cl-assertion-failed ,form ,string ,@sargs))
>>
>> from cl--assertion-failed seems to solve the problem, but I don't know
>> if that would break other things.
>
> This debug-on-error clause is new in 25.1 (specifically, it was added by
> 61b4c22c "* lisp/emacs-lisp/cl*.el: Use define-inline and move some
> code..."), so this looks like a regression to me (and it looks
> accidental, at least the commit message says nothing about it).  I'd
> like to remove it for 25.2.  Any objections?

I removed that clause in db436e93 "Don't call debug on failed cl-assert"